Bug 1279962 - Allow using rpms from anywhere too, not only yum repos
Allow using rpms from anywhere too, not only yum repos
Status: CLOSED DEFERRED
Product: ovirt-system-tests
Classification: Community
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
urgent Severity unspecified
: ---
: ---
Assigned To: David Caro
Pavel Stehlik
ci
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 10:33 EST by David Caro
Modified: 2016-01-26 04:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:15:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description David Caro 2015-11-10 10:33:55 EST
Description of problem:
For example, from a dir or similar, using repoman probably to fetch them and compose the repo that will be passed onto the vms

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Barak Korren 2015-11-11 05:43:26 EST
How will the CLI/API UX for this look like? How does it compare to current CLI/API?
Comment 2 David Caro 2015-11-11 05:52:18 EST
Still to be define, but as a first step, adding an option to reposetup to specify any repoman source is a must imo:

  lago reposetup --extra-source dir:path/to/my/custom/rpms
Comment 3 David Caro 2015-11-11 05:53:44 EST
I'd also remove the vdsm/engine/ioprocess specific options and associated code, and if needed, do that in another cli verb (like build or similar), but that's another issue
Comment 4 Eyal Edri 2015-11-26 08:30:09 EST
does this bug includes consuming rpms from a workflow or previous job that will generate rpms per patch/commit?
Comment 5 David Caro 2015-11-26 09:13:34 EST
Not so specifically, but will allow to use any rpms on disk or remotely, what opens the possibility to reuse whatever build-artifacts builds (allowing that flow) but also any other flow that get's you some rpms
Comment 6 David Caro 2016-01-26 04:15:06 EST
Moved to https://github.com/lago-project/lago/issues/31

Note You need to log in before you can comment on or make changes to this bug.